about summary refs log tree commit diff stats
path: root/modules/by-name/xd/xdg
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--modules/by-name/xd/xdg/module.nix4
-rwxr-xr-xmodules/by-name/xd/xdg/scripts/url-handler.sh5
2 files changed, 5 insertions, 4 deletions
diff --git a/modules/by-name/xd/xdg/module.nix b/modules/by-name/xd/xdg/module.nix
index f1781d86..a7c77cd7 100644
--- a/modules/by-name/xd/xdg/module.nix
+++ b/modules/by-name/xd/xdg/module.nix
@@ -38,6 +38,8 @@ in {
   config = lib.mkIf cfg.enable {
     home-manager.users.soispha = {
       xdg = {
+        configFile."xdg-desktop-portal-termfilechooser/config".source = tfcConfigFile;
+
         desktopEntries = {
           url-handler = {
             name = "url-handler";
@@ -107,8 +109,6 @@ in {
       };
     };
 
-    environment.etc."xdg/xdg-desktop-portal-termfilechooser/config".source = tfcConfigFile;
-
     systemd.user.services.xdg-desktop-portal-termfilechooser = {
       serviceConfig.ExecStart = [
         ""
diff --git a/modules/by-name/xd/xdg/scripts/url-handler.sh b/modules/by-name/xd/xdg/scripts/url-handler.sh
index 804a0450..d1c8277d 100755
--- a/modules/by-name/xd/xdg/scripts/url-handler.sh
+++ b/modules/by-name/xd/xdg/scripts/url-handler.sh
@@ -2,7 +2,7 @@
 
 project="$({
     tskm projects list
-    echo nvim zathura
+    printf "%s\n" nvim zathura
 } | rofi -sep "$(printf "\n")" -dmenu)"
 
 if [ "$project" = "nvim" ]; then
@@ -12,7 +12,8 @@ elif [ "$project" = "zathura" ]; then
 elif [ "$project" ]; then
     tskm open project "$project" "$1"
 else
-    notify-send "(URL HANDLER) No project selected"; exit 1
+    notify-send "(URL HANDLER) No project selected"
+    exit 1
 fi
 
 # vim: ft=sh